### Method

# Camel DataCache foreach_remove

since: 3.26

#### Declaration [src]

    void
    camel_data_cache_foreach_remove (
      CamelDataCache* cdc,
      const gchar* path,
      CamelDataCacheRemoveFunc func,
      gpointer user_data
    )

#### Description [src]

Traverses the `cdc` sub-cache identified by `path` and calls `func` for each found file. If the `func` returns `TRUE`, then the file is removed, if `FALSE`, it’s kept in the cache.

Available since: 3.26

#### Parameters

`path`

  Type: `const gchar*`

  Path to the (sub) cache the items exist in.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`func`

  Type: `CamelDataCacheRemoveFunc`

  A callback to call for each found file in the cache.

`user_data`

  Type: `gpointer`

  User data passed to `func`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.